Robotics Systems Types - Feature #1795
Add TrackedPose to sandbox
03/06/2014 04:01 PM - L. Ziegler

Status: Resolved Start date:
Priority: Normal Due date:
Assignee: L. Ziegler % Done:
Category: Type Proposal Estimated time:
Target version:

03/06/2014

100%
0.00 hour

Description

Please add the type to the 0.10 sandbox.

Associated revisions

Revision edad89bf - 01/07/2015 06:06 PM - L. Ziegler

Added new type rst.tracking.TrackedPose

fixes #1795

Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

History

#1 - 03/06/2014 06:31 PM - J. Moringen
- Tracker changed from Bug to Feature

#2 - 04/23/2014 01:11 PM - J. Wienke

- Assignee set to L. Ziegler

Please review the types in sandbox rst.tracking and propose changes to these types instead.

#3 - 04/24/2014 05:36 PM - J. Wienke

- Subject changed from Add TrackedPose to sandbox to Poposal for a revise Posture3DFloat

#4 - 04/24/2014 05:36 PM - J. Wienke

- Subject changed from Poposal for a revise Posture3DFloat to Poposal for a revision of Posture3DFloat

We would keep this in the queue as a proposal.

#5 - 01/06/2015 06:02 PM - J. Moringen

- Subject changed from Poposal for a revision of Posture3DFloat to Proposal for a revision of Posture3DFloat

#6 - 01/06/2015 06:03 PM - J. Moringen

Any updates?
#7 - 01/06/2015 06:16 PM - L. Ziegler

This actually has nothing to do with Posture3DFloat or any other type in sandbox rst.tracking. This is meant to be a 6D Pose in 3D space with tracking

information (also usable as cs transformation). Posture3DFloat is a set of 3D positions (translations) describing an articulated thing.

#8 - 01/07/2015 04:43 PM - J. Moringen
- Subject changed from Proposal for a revision of Posture3DFloat to Add TrackedPose to sandbox
- Status changed from New to Feedback

Sorry for the confusion. If the type is still needed, to which RST version should it be added? Still 0.10?

#9 - 01/07/2015 05:22 PM - L. Ziegler

| am currently not in urgent need of this type, but it seems to be a useful type in general. So | don't mind if it is added to the current development

branch.

#10 - 01/07/2015 06:19 PM - L. Ziegler
- Status changed from Feedback to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:rst-proto|edad89bf4302a6¢736401fe793bb4d388170e9a5.

Files

0006-added-new-type-TrackedPose.patch 1.58 KB 03/06/2014 L. Ziegler
